"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var NatterlyEvent = function () {
  function NatterlyEvent(eventName) {
    _classCallCheck(this, NatterlyEvent);

    this.eventName = eventName;
    this.callbacks = [];
  }

  _createClass(NatterlyEvent, [{
    key: "registerCallback",
    value: function registerCallback(callback) {
      if (typeof callback === "function") {
        this.callbacks.push(callback);
      } else {
        console.error("Did not add callback to \"" + this.eventName + "\" as the provided callback is not a function");
      }
    }
  }, {
    key: "unregisterCallback",
    value: function unregisterCallback(callback) {
      var index = this.callbacks.indexOf(callback);
      if (index > -1) {
        var callbacks = this.callbacks;
        this.callbacks = callbacks.slice(0, index).concat(callbacks.slice(index + 1, callbacks.length));
      } else {
        console.warn("Could not remove provided event listener for \"" + this.eventName + "\" as it does not exist");
      }
    }
  }]);

  return NatterlyEvent;
}();

exports.default = NatterlyEvent;