"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
function assignFlexibleCallbackArgs(options, callback) {
  if (typeof options === "function" && typeof callback === "undefined") {
    callback = options;
    options = {};
  }
  return { options: options, callback: callback };
}

exports.default = assignFlexibleCallbackArgs;