"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
function requiredFields(callee, fields) {
  for (var key in fields) {
    if (typeof fields[key] === "undefined") {
      console.error(callee + ": ", "\"" + key + "\" is required");
      return false;
    }
  }
  return true;
}

exports.default = requiredFields;